Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.map.event
Class DataNodeEvent

    java.lang.Object
      java.util.EventObject
          org.apache.cayenne.event.CayenneEvent
              org.apache.cayenne.map.event.MapEvent
                  org.apache.cayenne.map.event.DataNodeEvent

All Implemented Interfaces:
  Serializable

    public class DataNodeEvent

extends MapEvent

Represents events resulted from DataNode changes in CayenneModeler.

See Also:
  Serialized Form

Field Summary
`protected DataNode` | `dataNode`

Fields inherited from class org.apache.cayenne.map.event.MapEvent
`ADD, CHANGE, domain, id, oldName, oldNameSet, REMOVE`

Fields inherited from class org.apache.cayenne.event.CayenneEvent
`info, postedBy, subject`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DataNodeEvent(Object src, DataNode node)` Creates a node change event.
`DataNodeEvent(Object src, DataNode node, int id)` Creates a node event of a specified type.
`DataNodeEvent(Object src, DataNode node, String oldName)` Creates a node name change event.

Method Summary
`DataNode` | `getDataNode()` Returns node object associated with this event.
`String` | `getNewName()` Returns the newName of the object that caused this event.
`void` | `setDataNode(DataNode dataNode)` Sets the dataNode.

Methods inherited from class org.apache.cayenne.map.event.MapEvent
`getDomain, getId, getOldName, isNameChange, setDomain, setId, setOldName`

Methods inherited from class org.apache.cayenne.event.CayenneEvent
`getInfo, getPostedBy, getSubject, setPostedBy, setSubject`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### dataNode

    protected DataNode dataNode

Constructor Detail

### DataNodeEvent

    public DataNodeEvent(Object src,
                         DataNode node)

  Creates a node change event.

### DataNodeEvent

    public DataNodeEvent(Object src,
                         DataNode node,
                         int id)

  Creates a node event of a specified type.

### DataNodeEvent

    public DataNodeEvent(Object src,
                         DataNode node,
                         String oldName)

  Creates a node name change event.

Method Detail

### getDataNode

    public DataNode getDataNode()

  Returns node object associated with this event.

### setDataNode

    public void setDataNode(DataNode dataNode)

  Sets the dataNode.

  Parameters:
    `dataNode` - The dataNode to set

### getNewName

    public String getNewName()

  Description copied from class: `MapEvent`
  Returns the newName of the object that caused this event.

  Specified by:
    `getNewName` in class `MapEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.